From: "Miroslav Šulc" <fordfrog@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/ncmpc/
Date: Sat, 2 Jul 2022 04:06:01 +0000 (UTC) [thread overview]
Message-ID: <1656734759.a304d726a3b9d26363673b868af7280fd2e171e5.fordfrog@gentoo> (raw)
commit: a304d726a3b9d26363673b868af7280fd2e171e5
Author: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 2 04:05:54 2022 +0000
Commit: Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sat Jul 2 04:05:59 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a304d726
media-sound/ncmpc: bump to 0.47
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>
media-sound/ncmpc/Manifest | 1 +
media-sound/ncmpc/ncmpc-0.47.ebuild | 67 +++++++++++++++++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/media-sound/ncmpc/Manifest b/media-sound/ncmpc/Manifest
index c6ec01543602..597635aed66c 100644
--- a/media-sound/ncmpc/Manifest
+++ b/media-sound/ncmpc/Manifest
@@ -1 +1,2 @@
DIST ncmpc-0.46.tar.xz 289332 BLAKE2B e57a931f5a512c543d48a9b6e532c7944e655d28d02fe9ec2b5b41563e2e6a5806924a668ae592f3fee58a2bb04a681fee0903b8046a61ce39a453092dfd8623 SHA512 34cbb9ff527bfa4d849069694b6d1a1e54c932b64538e799c9ef9b9ccc42ed24932b6bcbf3552af6ce846af6b7399916e1aabc6c79ac564f1c9fe56a33b6332f
+DIST ncmpc-0.47.tar.xz 291400 BLAKE2B 4b9e5bcc435b6064c054ad84000986942a699993e78decb26b73b4f3ec8d261e4e752e11d40ed5bdcbaab260b37f1a59b99708be05ade44973fee3f2b1e6d9d1 SHA512 6c9990ca9a0781eef67fae8b20ceec5fc00177b1db2b08cfdf122dd1f61f87a92030baadcaac154d73ddee622c963481d4e37d46f76a4ef21e51d4f18a6f3e6a
diff --git a/media-sound/ncmpc/ncmpc-0.47.ebuild b/media-sound/ncmpc/ncmpc-0.47.ebuild
new file mode 100644
index 000000000000..007bfb703b0a
--- /dev/null
+++ b/media-sound/ncmpc/ncmpc-0.47.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson
+
+DESCRIPTION="Ncurses client for the Music Player Daemon (MPD)"
+HOMEPAGE="https://www.musicpd.org/clients/ncmpc/ https://github.com/MusicPlayerDaemon/ncmpc"
+SRC_URI="https://www.musicpd.org/download/${PN}/${PV%.*}/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="async-connect chat-screen doc +help-screen key-screen +library-screen lirc lyrics-screen +mouse nls outputs-screen pcre search-screen +song-screen"
+
+BDEPEND="
+ virtual/pkgconfig
+ doc? ( dev-python/sphinx )
+"
+RDEPEND="
+ media-libs/libmpdclient
+ sys-libs/ncurses:=[unicode(+)]
+ lirc? ( app-misc/lirc )
+ pcre? ( dev-libs/libpcre2 )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ default
+
+ # use correct docdir and don't install license file
+ sed -e "/^docdir =/s/meson.project_name()/'${PF}'/" \
+ -e "s/'COPYING', //" \
+ -i meson.build || die
+
+ # use correct (html) docdir
+ sed -e "/install_dir:.*doc/s/meson.project_name()/'${PF}'/" \
+ -i doc/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dcurses=ncursesw
+ -Dcolors=true
+ -Dmini=false
+ -Dlyrics_plugin_dir="${EPREFIX}/usr/$(get_libdir)/ncmpc/lyrics"
+ -Dasync_connect=$(usex async-connect true false)
+ -Dchat_screen=$(usex chat-screen true false)
+ -Ddocumentation=$(usex doc enabled disabled)
+ -Dhelp_screen=$(usex help-screen true false)
+ -Dkey_screen=$(usex key-screen true false)
+ -Dlibrary_screen=$(usex library-screen true false)
+ -Dlirc=$(usex lirc enabled disabled)
+ -Dlocale=$(usex nls enabled disabled)
+ -Dlyrics_screen=$(usex lyrics-screen true false)
+ -Dmouse=$(usex mouse enabled disabled)
+ -Dmultibyte=$(usex nls true false)
+ -Dnls=$(usex nls enabled disabled)
+ -Doutputs_screen=$(usex outputs-screen true false)
+ -Dregex=$(usex pcre enabled disabled)
+ -Dsearch_screen=$(usex search-screen true false)
+ -Dsong_screen=$(usex song-screen true false)
+ )
+
+ meson_src_configure
+}
next reply other threads:[~2022-07-02 4:06 UTC|newest]
Thread overview: 70+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-02 4:06 Miroslav Šulc [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-26 7:28 [gentoo-commits] repo/gentoo:master commit in: media-sound/ncmpc/ Miroslav Šulc
2024-10-25 11:26 Arthur Zamarin
2024-10-25 11:26 Arthur Zamarin
2024-10-25 10:09 Arthur Zamarin
2024-10-25 10:09 Arthur Zamarin
2024-10-17 9:51 Miroslav Šulc
2024-10-15 8:07 Sam James
2024-10-15 8:07 Sam James
2024-10-15 8:07 Sam James
2024-10-15 8:07 Sam James
2024-09-25 6:44 Miroslav Šulc
2024-09-24 7:51 Miroslav Šulc
2024-09-14 9:34 Miroslav Šulc
2023-09-24 20:18 Miroslav Šulc
2023-09-04 12:31 Sam James
2023-09-04 12:31 Sam James
2023-09-04 12:31 Sam James
2023-08-05 7:29 Miroslav Šulc
2023-05-10 5:13 Miroslav Šulc
2023-05-09 17:46 Sam James
2023-05-08 12:24 Arthur Zamarin
2023-05-08 12:24 Arthur Zamarin
2023-05-08 7:40 Sam James
2023-05-08 7:40 Sam James
2023-04-07 8:26 Miroslav Šulc
2022-08-04 4:58 Miroslav Šulc
2022-08-04 0:13 Sam James
2022-08-03 7:51 Agostino Sarubbo
2022-08-03 7:50 Agostino Sarubbo
2022-08-03 7:49 Agostino Sarubbo
2022-03-17 9:08 Miroslav Šulc
2022-03-15 9:39 Jakov Smolić
2022-03-15 9:38 Jakov Smolić
2022-03-15 7:40 Agostino Sarubbo
2022-02-10 19:58 Miroslav Šulc
2021-04-23 4:53 Miroslav Šulc
2021-04-22 23:01 Sam James
2021-04-22 20:15 Sam James
2021-04-22 12:18 Sam James
2021-04-22 2:59 Sam James
2020-09-27 20:21 James Le Cuirot
2020-03-20 21:53 Matt Turner
2019-06-14 15:01 Agostino Sarubbo
2019-06-14 9:18 Agostino Sarubbo
2019-06-13 15:15 Agostino Sarubbo
2019-06-13 14:58 Agostino Sarubbo
2019-05-13 0:18 Andreas Sturmlechner
2019-04-28 22:41 Pacho Ramos
2019-04-28 22:06 Thomas Deutschmann
2019-04-07 23:19 Aaron Bauman
2019-04-07 21:34 Sergei Trofimovich
2019-02-09 18:17 Andreas Sturmlechner
2019-02-09 18:17 Andreas Sturmlechner
2019-02-09 18:17 Andreas Sturmlechner
2019-02-09 18:17 Andreas Sturmlechner
2019-02-09 18:17 Andreas Sturmlechner
2019-02-09 18:17 Andreas Sturmlechner
2019-01-04 8:06 Tim Harder
2018-09-21 10:35 Mikle Kolyada
2018-09-21 10:35 Mikle Kolyada
2018-09-20 5:12 Jeroen Roovers
2018-09-19 11:01 Mikle Kolyada
2018-09-09 6:16 Mikle Kolyada
2018-09-08 20:10 Mikle Kolyada
2017-04-26 5:33 Tim Harder
2016-08-21 1:11 Tim Harder
2016-08-06 11:33 Pacho Ramos
2015-10-20 4:30 Jeroen Roovers
2015-09-20 11:33 Christoph Mende
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1656734759.a304d726a3b9d26363673b868af7280fd2e171e5.fordfrog@gentoo \
--to=fordfrog@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox